package cn.superdesk.uniorder.dubbo.provider.invoice.supplier;


import cn.superdesk.uniorder.common.numerical.AnBeanUtils;
import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.invoice.supplier.InvoiceApplySupplierXGoods;
import cn.superdesk.uniorder.dto.param.invoice.supplier.InvoiceApplySupplierXGoodsParam;
import cn.superdesk.uniorder.dto.param.invoice.supplier.InvoiceApplySupplierXGoodsQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.invoice.supplier.DubboInvoiceApplySupplierXGoodsService;
import cn.superdesk.uniorder.service.invoice.supplier.InvoiceApplySupplierXGoodsService;
import com.alibaba.dubbo.config.annotation.Service;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-12-09 17:35:01
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-12-09 17:35:01
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboInvoiceApplySupplierXGoodsServiceImpl implements DubboInvoiceApplySupplierXGoodsService {

	@Autowired
	private InvoiceApplySupplierXGoodsService invoiceApplySupplierXGoodsService;


	/****************************************** extends BaseService 部分 start ******************************************/

	@Override
	public void addObj(InvoiceApplySupplierXGoodsParam param) {

		InvoiceApplySupplierXGoods invoiceApplySupplierXGoods = AnBeanUtils.copy(param, InvoiceApplySupplierXGoods.class);
		invoiceApplySupplierXGoodsService.addObj(invoiceApplySupplierXGoods);

	}

	@Override
	public void updateObj(InvoiceApplySupplierXGoodsParam param) {

		InvoiceApplySupplierXGoods invoiceApplySupplierXGoods = AnBeanUtils.copy(param, InvoiceApplySupplierXGoods.class);
		invoiceApplySupplierXGoodsService.updateObj(invoiceApplySupplierXGoods);
	}

	@Override
	public void deleteObj(Long id) {
		invoiceApplySupplierXGoodsService.deleteObj(id);
	}

	@Override
	public InvoiceApplySupplierXGoods findById(Long id) {
		return invoiceApplySupplierXGoodsService.findById(id);
	}

	@Override
	public PageInfo<InvoiceApplySupplierXGoods> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {
		return invoiceApplySupplierXGoodsService.findByPaging(conditions, pageNun, pageSize);
	}

	@Override
	public List<InvoiceApplySupplierXGoods> findAll(Map<String, Object> queryMap) {

		return invoiceApplySupplierXGoodsService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	@Override
	public void addInvoiceApplySupplierXGoods(InvoiceApplySupplierXGoodsParam param) {

		InvoiceApplySupplierXGoods invoiceApplySupplierXGoods = AnBeanUtils.copy(param, InvoiceApplySupplierXGoods.class);
		invoiceApplySupplierXGoodsService.addInvoiceApplySupplierXGoods(invoiceApplySupplierXGoods);
	}

	@Override
	public void updateInvoiceApplySupplierXGoods(InvoiceApplySupplierXGoodsParam param) {

		InvoiceApplySupplierXGoods invoiceApplySupplierXGoods = AnBeanUtils.copy(param, InvoiceApplySupplierXGoods.class);
		invoiceApplySupplierXGoodsService.updateInvoiceApplySupplierXGoods(invoiceApplySupplierXGoods);
	}

	@Override
	public void deleteInvoiceApplySupplierXGoods(Long id) {
		invoiceApplySupplierXGoodsService.deleteInvoiceApplySupplierXGoods(id);
	}

	@Override
	public InvoiceApplySupplierXGoods findInvoiceApplySupplierXGoodsById(Long id) {
		return invoiceApplySupplierXGoodsService.findInvoiceApplySupplierXGoodsById(id);
	}

	@Override
	public R<List<InvoiceApplySupplierXGoods>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {
		return invoiceApplySupplierXGoodsService.pageQuery(conditions, pageNun, pageSize);
	}

	@Override
	public R<List<InvoiceApplySupplierXGoods>> pageQueryGenericParam(InvoiceApplySupplierXGoodsQueryCriteria criteria) {
		return invoiceApplySupplierXGoodsService.pageQueryGenericParam(criteria);
	}
}
